Start a round
A round through every place with an animal in care, everywhere or inside one place, in the board’s order; foster homes and virtual placements are not stops. Who is at each stop is fixed now. 409 when nobody is housed there, or past 400 places. Needs write on Animals.
POST
https://{organization}.rescueconsole.com
/
api
/
animals
/
rounds
Start a round
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/rounds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"day": "2023-12-25",
"root_unit_id": "<string>",
"name": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({day: '2023-12-25', root_unit_id: '<string>', name: '<string>'})
};
fetch('https://{organization}.rescueconsole.com/api/animals/rounds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/rounds"
payload = {
"day": "2023-12-25",
"root_unit_id": "<string>",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"round": {
"id": "<string>",
"day": "2023-12-25",
"name": "<string>",
"total": 123,
"visited": 123,
"skipped": 123,
"left": 123,
"stops": [
{
"id": "<string>",
"position": 123,
"location_unit_id": "<string>",
"state": "to_visit",
"seen": true,
"fed": true,
"cleaned": true,
"meds_given": true,
"scanned": true,
"note": "<string>",
"photo_file_id": "<string>",
"visited_by_person_id": "<string>",
"visited_at": "2023-11-07T05:31:56Z",
"unit": {
"id": "<string>",
"name": "<string>",
"path": [
"<string>"
],
"care_flag": "quarantine",
"care_flag_note": "<string>"
},
"animals": [
{
"id": "<string>",
"name": "<string>",
"species": "<string>",
"photo_file_id": "<string>"
}
]
}
],
"root": {
"id": "<string>",
"name": "<string>"
},
"started_by_person_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"signed_off_by_person_id": "<string>",
"signed_off_at": "2023-11-07T05:31:56Z",
"sign_off_note": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
Body
application/json
⌘I
Start a round
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/rounds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"day": "2023-12-25",
"root_unit_id": "<string>",
"name": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({day: '2023-12-25', root_unit_id: '<string>', name: '<string>'})
};
fetch('https://{organization}.rescueconsole.com/api/animals/rounds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/rounds"
payload = {
"day": "2023-12-25",
"root_unit_id": "<string>",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"round": {
"id": "<string>",
"day": "2023-12-25",
"name": "<string>",
"total": 123,
"visited": 123,
"skipped": 123,
"left": 123,
"stops": [
{
"id": "<string>",
"position": 123,
"location_unit_id": "<string>",
"state": "to_visit",
"seen": true,
"fed": true,
"cleaned": true,
"meds_given": true,
"scanned": true,
"note": "<string>",
"photo_file_id": "<string>",
"visited_by_person_id": "<string>",
"visited_at": "2023-11-07T05:31:56Z",
"unit": {
"id": "<string>",
"name": "<string>",
"path": [
"<string>"
],
"care_flag": "quarantine",
"care_flag_note": "<string>"
},
"animals": [
{
"id": "<string>",
"name": "<string>",
"species": "<string>",
"photo_file_id": "<string>"
}
]
}
],
"root": {
"id": "<string>",
"name": "<string>"
},
"started_by_person_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"signed_off_by_person_id": "<string>",
"signed_off_at": "2023-11-07T05:31:56Z",
"sign_off_note": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
